<?php

# i18n

$title = __('ipeRSS Shortcodes Help', 'iperss');

$intro1 = __('Shortcodes are simple and rather short special codes you can input directly into the post or page creation editor without caring about the correct parsing. Maybe you already use them without knowing it. If you added a gallery to one of you pages or posts via the WordPress default functionality, you already used a shortcode.', 'iperss');

$intro2 = __('Shortcodes are created by using %s where %s is the shortcode identifier and %s is an optional parameter with value %s.', 'iperss');

$intro3 = __('The shortcode identifier for ipeRSS is simply %s. The following list gives you all possible parameters for the shortcode setup and gives a short description on wht this parameter does.', 'iperss');

$infotable = __('Descriptions', 'iperss');

$examples = __('The following list gives a few examples for shortcodes', 'iperss');

$shortcodeexample = __('[foo bar="baz" /]', 'iperss');
$shortcodeid = __('foo', 'iperss');
$shortcodeoption = __('bar', 'iperss');
$shortcodevalue = __('baz', 'iperss');

$datefmt = __('Defines how the date will be displayed, please see %s for further informations and examples', 'iperss');
$datefmtlinktext = __('options help', 'iperss');
$datefmtinfo = sprintf($datefmt, '<a href="admin.php?page=iperss/adm/optionshelp.php">'.$datefmtlinktext.'</a>');

$tninfotext = __('You can use %s for thumbnails, %s for small images, %s for medium images or %s for large images', 'iperss');
$tninfo = sprintf($tninfotext, 't', 's', 'm', 'l');

$customcsslink = '<a href="admin.php?page=iperss/adm/customcss.php">'.__('set here', 'iperss').'</a>';
$customcsstext = __('Apply custom CSS definition %s, or do not apply them.', 'iperss');

$marginforcefixtext = __('A special parameter for themes who forcing a margin value to images resulting in ipeRSS images without margin for example, which looks plain ugly. For example the WordPress default theme does this. To avoid this by using custom CSS %s use this option, use %s instead!', 'iperss');

$dont = __('don’t', 'iperss');

$iperssoptions = array(
	'title' => __('Arbitrary title for your widget. If not title was defined, “ipeRSS” will be used.', 'iperss'),
	'user' => __('Your ipernity user name. You can get it if you open your pictures overview in the browser, and click the RSS button. Now have a look at the address bar. There is a section %s. Where %s is your user name.', 'iperss'),
	'lang' => __('Defines in what language the header and the “no title” titles are shown.', 'iperss'),
	'number' => __('What amount of images should be shown? This is limited by the ipernity API. You can set whatever value you want. By the release of the currently installed version of this plugin the max number of images returned by the ipernity API is 20.', 'iperss'),
	'datefmt' => $datefmtinfo,
	'imgsize' => __('Defines what image size should be used for displaying the thumbnail images in widget.', 'iperss').' '.$tninfo,
	'addclass' => __('Adds an additional CSS class to the image list (see custom CSS page) that can be used to distinguish multiple widgets for different styling.', 'iperss'),
	'customcss' => $customcsstext,
	'defaultcss' => __('Apply default (shipped with this plugin) CSS definitions, or do not apply them.', 'iperss'),
	'poweredby' => __('Show an information link below the images linking to the ipeRSS home page', 'iperss'),
	'marginforcefix' => sprintf($marginforcefixtext, '<em>'.$dont.'</em>', '<code>!important</code>')
);

$pleasenote = __('Please note: ', 'iperss');
$notetext = __('%sThe only parameter you have to add always is the user name. All other parameters are optional. The following default values are used for all optional parameters.', 'iperss');
$note = sprintf($notetext, '<strong>'.$pleasenote.'</strong>');

$defaultvalues = __('Default values', 'iperss');

$defaultsinfo = __('All other values are not set by default', 'iperss');

?>

<div class="wrap">
<div id="icon-options-general" class="icon32"><br /></div>
<h2><?php echo $title; ?></h2>


<p>
<?php
echo $intro1.' ';
echo sprintf($intro2,
	'<code>'.$shortcodeexample.'</code>',
	'<code>'.$shortcodeid.'</code>',
	'<code>'.$shortcodeoption.'</code>',
	'<code>'.$shortcodevalue.'</code>');
?>
</p>
<p><?php echo sprintf($intro3, '<code>iperss</code>'); ?></p>




<h3><?php echo $infotable; ?></h3>

<table class="form-table">
<?php
foreach ($iperssoptions as $name => $description) {
	echo '<tr valign="top">	<th scope="row"><strong>'.$name.
		'</strong></th><td>'.$description.'</td></tr>';
}
?>
</table>




<h3><?php echo $examples; ?></h3>

<ul class="iperssshortcodeexamples">
<?php
function li($example) {
	$user = __('USERNAME', 'iperss');
	echo '<li><code>[iperss user="'.$user.'"'.$example.']</code></li>';
}

li('');
li(' number=9');
li(' customcss=true poweredby=true');
li(' addclass="'.__('bar', 'iperss').'"');
li(' lang="fr" number=1 marginforcefix=true');
li(' imgsize="l" datefmt="%Y-%M-%D" customcss=true');

?>
</ul>

<p><?php echo $note; ?></p>




<h3><?php echo $defaultvalues; ?></h3>
<table class="form-table">
<?php
$iperssdefaults = array(
	'title' => __('ipeRSS', 'iperss'),
	'number' => 6,
	'lang' => __('English', 'iperss'),
	'imgsize' => __('Thumbnail images', 'iperss'),
	'datefmt' => 'Y-m-d\TH:i:s',
	'defaultcss' => __('Enabled', 'iperss')
);

foreach ($iperssdefaults as $name => $value) {
	echo '<tr valign="top">	<th scope="row"><strong>'.$name.
		'</strong></th><td>'.$value.'</td></tr>';
}
?>
</table>

<p><?php echo $defaultsinfo; ?></p>



</div>
